package de.fraunhofer.iem.dataprovider.repository.dto

import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity

data class RepositoryCreateDto(val name: String, val uri: String, val id: Long) {
    fun toDbObject(): RepositoryEntity {
        val repo = RepositoryEntity()
        repo.name = this.name
        repo.repoId = this.id
        repo.url = this.uri
        return repo
    }
}
